Subject: [PATCH] pinctrl: Add generic pinctrl-simple driver that supports omap2+ padconf

From: [email-masked] (Tony Lindgren)
Date: Wed, 9 May 2012 13:49:25 -0700

* Stephen Warren <[email-masked]> [120509 13:22]:
> On 05/04/2012 04:08 PM, Tony Lindgren wrote:
> > * Stephen Warren <[email-masked]> [120504 11:59]:
> >> On 05/04/2012 10:34 AM, Tony Lindgren wrote:
> >>> * Jean-Christophe PLAGNIOL-VILLARD <[email-masked]> [120504 08:58]:
> >>>> On 08:03 Fri 04 May     , Tony Lindgren wrote:
> >>>>>>
> >>>>>> so I was thinking to do like on gpio
> >>>>>>
> >>>>>> uart {
> >>>>>> 	pin = < &pioA 12 {pararms} >
> >>>>>>
> >>>>>> }
> >>>>>
> >>>>> Hmm I assume the "12" above the gpio number?
> >>>> no pin number in the bank because it could not be gpio
> >>>
> >>> Yes OK, but pin number 12 in the gpio bank, not in the mux register.
> >>> Got it.
> >>
> >> I'd prefer to avoid any references to GPIOs here; not all muxable pins
> >> are GPIOs and not all GPIOs are muxable pins. Lets keep the two concepts
> >> independent.
> > 
> > And it seems that &pioA 12 is not always enough information for the pinctrl
> > driver to request a GPIO. So it's best to specify it separately.
> 
> Why would a pinctrl driver "request a GPIO"?

Hmm what would pinctrl_request_gpio do if the GPIO driver is separate driver?

Tony